MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024792Open CASCADE[OCCT] OCCT:Codingpublic2014-04-03 17:142014-11-11 12:52
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024792: Remove unused hacks for compilers without STL
DescriptionUSE_STL_STREAM should be removed as unused.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0005663closedbugmaster Memory leak in Standard_SStream 
child of 0022972closedkgv Eliminate macro definitions that has compiler-provided analogs (WNT and so on) 

-  Notes
(0028662)
kgv (developer)
2014-04-03 17:16

Patch is ready for review in branch CR24792.
(0028665)
abv (manager)
2014-04-04 06:30

No remarks, please test
(0028715)
apn (administrator)
2014-04-07 16:00
edited on: 2014-04-07 16:00

There are compilation errors in PRODUCTS:

Linux:
../../../../src/AcisData/AcisData_AcisModel.cxx:304: error: ‘istrstream’ was not declared in this scope
../../../../src/AcisData/AcisData_AcisModel.cxx:304: error: expected ‘;’ before ‘strm’
../../../../src/AcisData/AcisData_AcisModel.cxx:307: error: ‘strm’ was not declared in this scope

WNT:
..\..\..\src\AcisData\AcisData_AcisModel.cxx(304) : error C2065: 'istrstream' : undeclared identifier
..\..\..\src\AcisData\AcisData_AcisModel.cxx(304) : error C2146: syntax error : missing ';' before identifier 'strm'
..\..\..\src\AcisData\AcisData_AcisModel.cxx(304) : error C3861: 'strm': identifier not found
..\..\..\src\AcisData\AcisData_AcisModel.cxx(307) : error C2065: 'strm' : undeclared identifier

..\..\..\src\DxfSat\DxfSat_MakeBody.cxx(69) : error C2664: 'TCollection_HAsciiString::TCollection_HAsciiString(const Standard_CString)' : cannot convert parameter 1 from 'std::basic_string<_Elem,_Traits,_Ax>' to 'const Standard_CString'

(0028719)
kgv (developer)
2014-04-07 17:49

Please test branches CR24792 in OCCT and Products repositories.
(0028754)
apn (administrator)
2014-04-09 11:49
edited on: 2014-04-09 11:50

Dear BugMaster,

OCCT and Products branch CR24792 was compiled on Linux and Windows platforms and tested.
SHA-1: 3fe6e86be06e5d098be13c86addbb5686e9665c7

Number of compiler warnings:

occt component :
Linux: 21 (21 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 351644800 / 352026040
Total CPU difference: 52630.629999999925 / 50789.29000000014

Testing on Windows:
Total MEMORY difference: 380801896 / 381230388
Total CPU difference: 37260.9375 / 36678.890625

There are no differences in images found by testdiff.


- Related Changesets
occt: master d41f6af3
Timestamp: 2014-04-03 13:15:09
Author: kgv
Committer: apn
Details ] Diff ]
0024792: Remove unused hacks for compilers without STL
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - src/Message/Message_Messenger.lxx Diff ] File ]
mod - src/Message/Message_PrinterOStream.cxx Diff ] File ]
mod - src/Standard/Standard_Failure.cxx Diff ] File ]
mod - src/Standard/Standard_SStream.hxx Diff ] File ]
mod - src/Standard/Standard_Stream.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-03 17:14 kgv New Issue
2014-04-03 17:14 kgv Assigned To => kgv
2014-04-03 17:14 kgv Relationship added child of 0022972
2014-04-03 17:16 kgv Note Added: 0028662
2014-04-03 17:16 kgv Assigned To kgv => abv
2014-04-03 17:16 kgv Status new => resolved
2014-04-04 06:30 abv Note Added: 0028665
2014-04-04 06:30 abv Assigned To abv => bugmaster
2014-04-04 06:30 abv Status resolved => reviewed
2014-04-04 16:26 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:54 mkv Assigned To bugmaster => apn
2014-04-07 16:00 apn Note Added: 0028715
2014-04-07 16:00 apn Note Edited: 0028715 View Revisions
2014-04-07 16:00 apn Test case number => Not needed
2014-04-07 16:00 apn Assigned To apn => kgv
2014-04-07 16:00 apn Status reviewed => assigned
2014-04-07 17:49 kgv Note Added: 0028719
2014-04-07 17:49 kgv Assigned To kgv => bugmaster
2014-04-07 17:49 kgv Status assigned => resolved
2014-04-07 17:49 kgv Status resolved => reviewed
2014-04-08 16:00 apn Assigned To bugmaster => apn
2014-04-09 11:49 apn Note Added: 0028754
2014-04-09 11:50 apn Note Edited: 0028754 View Revisions
2014-04-09 11:50 apn Assigned To apn => bugmaster
2014-04-09 11:50 apn Status reviewed => tested
2014-04-11 14:43 apn Changeset attached => occt master d41f6af3
2014-04-11 14:43 apn Assigned To bugmaster => apn
2014-04-11 14:43 apn Status tested => verified
2014-04-11 14:43 apn Resolution open => fixed
2014-04-25 20:28 kgv Relationship added related to 0005663
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker